# $Id: showimg.spec,v 1.3 2004/07/14 16:47:05 rexdieter Exp $

%define beta 1

Name:    showimg
Epoch:	 0
Version: 0.9.4
Release: 0.fdr.2%{?dist_tag}
Summary: Simple image viewer for KDE.
Group: 	 Applications/Multimedia
License: GPL
URL:     http://www.jalix.org/projects/showimg
Source:	 http://www.jalix.org/projects/showimg/showimg-0.9.4-1.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libkipi-devel
BuildRequires: libkexif-devel 
#{?beta:BuildRequires: autoconf}

BuildRequires: qt-devel >= 3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f-2)
Requires: qt >= 1:%{qt_ver}

BuildRequires: kdebase-devel >= 6:3.3
BuildRequires: kdelibs-devel >= 6:3.3
%define kdelibs_ver %(rpm -q --qf '%%{version}' kdelibs-devel | cut -d. -f1,2 )
Requires: kdelibs >= 6:%{kdelibs_ver}


%description
ShowImg is a feature-rich image viewer for KDE including an
image management system. It is highly configurable and supports
numerous image formats.


%prep
%setup -q -n %{name}-%{version}%{?beta:-%{beta}}


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  --enable-libkipi \
  --with-kexif \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-debug --disable-warnings --enable-final } \
  --disable-final

# Nuke all -fvisibility options
#find . -name Makefile | xargs perl -pi -e 's@-fvisibility=hidden -fvisibility-inlines-hidden@@g'

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category Application \
  --add-category Viewer \
  --add-category Graphics \
  --add-category KDE \
  --add-category Qt \
  $RPM_BUILD_ROOT%{_datadir}/applnk/*/*.desktop

# Remove problematic perl script
rm -f $RPM_BUILD_ROOT%{_datadir}/apps/showimg/convert2png.pl

## File lists
# locale's
%find_lang %{name}
# HTML
for lang_dir in $RPM_BUILD_ROOT%{_docdir}/HTML/* ; do
  lang=$(basename $lang_dir)
  echo "%lang($lang) %doc %{_docdir}/HTML/$lang/*" >> %{name}.lang
done

## Unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*
%{_datadir}/apps/%{name}*
%{_datadir}/icons/*/*/apps/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*part.desktop
%{_libdir}/kde3/*.[ls][ao]
%{_libdir}/libshowimg*.so.*
%{_mandir}/man?/*


%changelog
* Mon Jan 10 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.9.4.1-0.fdr.1
- 0.9.4-1 (for libkexif >= 0.2 compatibility) 

* Mon Nov 22 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.9.4-0.fdr.0.rc2
- 0.9.4-rc2

* Mon Nov 22 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:0.9.3-0.fdr.2
- drop Requires: digikamplugins
- cleanup %%lang'ifcation

* Wed Sep 22 2004 Rex Dieter <rexdieter at sf.net> 0:0.9.3-0.fdr.1
- 0.9.3
- remove troublesome convert2png.pl perl script (missing perl(Gimp) dependancy)

* Wed Apr 07 2004 Rex Dieter <rexdieter at sf.net> 0:0.9.2-0.fdr.2
- %%lang'ify HTML docs

* Tue Mar 23 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.2-0.fdr.1
- version 0.9.2

* Mon Mar 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.2
- let rpm set dependencies on libjpeg and kdelibs
- desktop file for kde32 should not have the fedora prefix

* Sun Mar 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9.1-0.fdr.1
- Initial RPM release.
